org.richfaces.renderkit

## Class InputNumberSliderRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.ajax4jsf.renderkit.AjaxComponentRendererBase
        - - org.richfaces.renderkit.InputRendererBase
          - - org.richfaces.renderkit.InputNumberSliderRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    InputNumberSliderRenderer

      public class InputNumberSliderRendererBase
      extends org.richfaces.renderkit.InputRendererBase

  Author:
    Nick - mailto:nbelaevski@exadel.com created 19.01.2007

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputNumberSliderRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `attributeToBoolean(javax.faces.component.UIComponent component, java.lang.String attributeName)`
    `protected java.lang.Class` | `getComponentClass()`
    `java.lang.String` | `getStyleValue(UIInputNumberSlider slider)`
    `void` | `prepareVariables(javax.faces.context.FacesContext context, UIInputNumberSlider slider)`
    `void` | `writeEventHandlerFunction(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String eventName)`

    - ### Methods inherited from class org.richfaces.renderkit.InputRendererBase

      `doDecode, getConvertedValue, getInputValue`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase

      `getAdditionalScripts, getScripts`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2

      `encodeToHead`

- - ### Constructor Detail

    - #### InputNumberSliderRendererBase

          public InputNumberSliderRendererBase()

  - ### Method Detail

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Overrides:
        `getComponentClass` in class `org.richfaces.renderkit.InputRendererBase`

    - #### attributeToBoolean

          protected boolean attributeToBoolean(javax.faces.component.UIComponent component,
                                   java.lang.String attributeName)

    - #### writeEventHandlerFunction

          public void writeEventHandlerFunction(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component,
                                       java.lang.String eventName)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### prepareVariables

          public void prepareVariables(javax.faces.context.FacesContext context,
                              UIInputNumberSlider slider)

    - #### getStyleValue

          public java.lang.String getStyleValue(UIInputNumberSlider slider)

Copyright © 2013. All Rights Reserved.